# Package org.simpleframework.util.lease

- Interface Summary
  Interface | Description
  --- | ---
  Cleaner<T> | The `Cleaner` represents an object that is used to clean up after the keyed resource.
  Lease<T> | The `Lease` object is used to keep a keyed resource active.
  LeaseProvider<T> | The `LeaseProvider` is used to issue a lease for a named resource.

- Class Summary
  Class | Description
  --- | ---
  LeaseManager<T> | The `LeaseManager` is used to issue a lease for a named resource.
  LeaseMap<T> | The `LeaseMap` object is used to map lease keys to the lease objects managing those objects.

- Exception Summary
  Exception | Description
  --- | ---
  LeaseException | The `LeaseException` is used to indicate that some operation failed when using the lease after the lease duration has expired.